enfr

Construire une version NEW9*

Modification des pré-requis ou de configuration pour la version développement

Pour construire une version NEW9.3.*

  • à partir de 9.3.11, astk 1.6.3 est nécessaire.

Mise à jour automatique d’astk :

prompt> [ASTER_ROOT]/ASTK/ASTK_SERV/bin/as_run --astk_update --nolocal

  • s’il y a un problème de mise à jour avec astk 1.6.5, appliquer ce patch joint (initialise la variable contendir à None dans astk_maintenance.py) :
    Zip - 399 octets
    contentdir problem

Pour l’appliquer, télécharger le patch puis :

prompt> unzip astk-1.6.5-patch_update.zip
prompt> cd [ASTER_ROOT]/ASTK
prompt> patch -p1 < [répertoire téléchargement]/astk-1.6.5-patch_update
  • si vous avez ce message d’erreur au lancement d’astk 1.6.5 :
    Traceback (most recent call last):
     File "<stdin>", line 73, in <module>
     File "/tmp/ASTK/ASTK_SERV/lib/as_system.py", line 120, in __init__
       if self.run['shared_folders']:
     [...]
    as_run.RunAsterError: 4

    ajoutez ces lignes dans le fichier [ASTER_ROOT]/ASTK/ASTK_SERV/conf/config :

    # shared folders = for which remote copy is never necessary (comma separated)
    shared_folders :